/**
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::Core
* @author     Stefan Ulbrich (stefan dot ulbrich at kit dot edu)
* @author     Kai Welke (welke at kit dot edu)
* @copyright  2011 Humanoids Group, HIS, KIT
* @license    http://www.gnu.org/licenses/gpl-2.0.txt
*             GNU General Public License
*/

#ifndef _ARMARX_CORE_ROBOTSTATE_OBSERVER_SLICE_
#define _ARMARX_CORE_ROBOTSTATE_OBSERVER_SLICE_

#include <RobotAPI/interface/units/KinematicUnitInterface.ice>

#include <Core/interface/observers/ObserverInterface.ice>

module armarx
{
    interface RobotStateObserverInterface extends ObserverInterface, KinematicUnitListener
    {
    };
};

#endif
